package Contas;

import java.util.Vector;

public class LeituraArquivo {
	
	/**
	 * Leitura do arquivo e retorno dos vectors com as amostras
	 */
	public Vector [] getAmostras() {		
		
		Arquivo arquivo = new Arquivo ("bupa.data","bupa.out");
		Vector [] vectorAmostras = new Vector [7];
		
		for (int i = 0; i < vectorAmostras.length; i++)
			vectorAmostras [i] = new Vector ();
		
		String amostraString;
		
		while (!arquivo.isEndOfFile()){
			amostraString = arquivo.readLine();
			
			for (int i = 0, j = 0, indiceAmostra = 0; j < amostraString.length(); j++){
				
				if (amostraString.charAt(j) == ','){					
					String num = amostraString.substring(i,j);
					
					if (indiceAmostra != 5){						
						int amostra = Integer.parseInt(num);					
						vectorAmostras[indiceAmostra].add(new Integer (amostra));						
						
					} else {
						double amostra = Double.parseDouble(num);
						vectorAmostras [indiceAmostra].add(new Double (amostra));
					}
					i = j +1;
					indiceAmostra = indiceAmostra + 1;
				}
			}
		}
		return vectorAmostras;
	}
	
}
